Subject: Re: linux-next: build failure after merge of the slave-dma tree

From: Vinod Koul <[email-masked]>
Date: Sat, 6 Jul 2019 20:13:24 +0530

On 06-07-19, 13:43, Robin Gong wrote:
> Hi Stephen,

Please **do not** top post!

> 	That's caused by 'of_irq_count' NOT export to global symbol, and I'm curious why it has been
> here for so long since Zhangfei found it in 2015. https://patchwork.kernel.org/patch/7404681/

Yes this does not seem to be applied, perhaps Rob can explain why. But
this was not exported how did you test it?

> Hi Rob,
> 	Is there something I miss so that Zhangfei's patch not accepted finally?

Rob, the commit in question is [1] and uses of_irq_count. Should it use
that if not what is the alternate?

> On 04-07-19, 15:31 Stephen Rothwell <[email-masked]> wrote:
> > Hi all,
> > 
> > After merging the slave-dma tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > ERROR: "of_irq_count" [drivers/dma/fsl-edma.ko] undefined!
> > 
> > Caused by commit
> > 
> >   7144afd025b2 ("dmaengine: fsl-edma: add i.mx7ulp edma2 version
> > support")
> > 
> > I have reverted that commit for today.
> > 
> > --
> > Cheers,
> > Stephen Rothwell

[1]: http://git.infradead.org/users/vkoul/slave-dma.git/commitdiff/7144afd025b23b042c158582160d7d2b10a754b7?hp=a7c5c6f6bc295d6c158db4ef9d1ca6770032669d

-- 
~Vinod